import java.util.Scanner;

public class Section032_Wait {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int n, i, j, k;
		int data[] = new int[10];
		n = -1;
		do
		{
			n++;
			data[n] = scanf.nextInt();
		} while (n < 9);
		for (i = 1; i <= 9; i++)
		{
			for (j = 0; j <= 9 - i; j++)
			{
				if (data[j] > data[j + 1])
				{
					k = data[j];
					data[j] = data[j + 1];
					data[j + 1] = k;
				}
			}
		}
		for (int x = 0; x < 10; x++)
			System.out.printf("%d ", data[x]);
		scanf.close();
	}
}
